---
title: '<xsl:otherwise>'
slug: Web/XSLT/Element/otherwise
tags:
  - Element
  - Reference
  - XSLT
  - otherwise
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:otherwise&gt;</code> element is used to define the action that should be taken when none of the <code>&lt;xsl:when&gt;</code> conditions apply. It is similar to the <code>else</code> or <code>default</code> case in other programing languages.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:otherwise&gt;
	TEMPLATE
&lt;/xsl:otherwise&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<p>None.</p>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Subinstruction, must appear as the last child of an <code>&lt;xsl:choose&gt;</code> element, within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 9.2</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
